summaryrefslogtreecommitdiffstats
path: root/bin/chroot-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-01-26 11:15:28 +0100
committerHolger Levsen <holger@layer-acht.org>2015-01-26 11:15:28 +0100
commit450aea660ab4f975a2164a2c2f76297c1c9adda4 (patch)
treed215255ca5a84574f9020670120f36646245f9e5 /bin/chroot-installation.sh
parent2ccb4f0a631291f0ae3df1438b60c95d5d51374a (diff)
downloadjenkins.debian.net-450aea660ab4f975a2164a2c2f76297c1c9adda4.tar.xz
always be true...
Diffstat (limited to 'bin/chroot-installation.sh')
-rwxr-xr-xbin/chroot-installation.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index 48215117..eff64ced 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -43,7 +43,7 @@ cleanup_all() {
execute_ctmpfile() {
chmod +x $CTMPFILE
sudo chroot $CHROOT_TARGET $TMPFILE 2>&1 | tee $TMPLOG
- RESULT=$(egrep "Failed to fetch.*Unable to connect to" $TMPLOG)
+ RESULT=$(egrep "Failed to fetch.*Unable to connect to" $TMPLOG || true)
if [ ! -z "$RESULT" ] ; then
echo
echo "Trying to workaround temporarily failure fetching packages, trying again..."